# $Revision: 1.29 $, $Date: 2011/12/12 12:27:00 $
%define pkgname actionmailer
Summary:	Mail generator library for Ruby
Summary(pl.UTF-8):	Biblioteka do generowania listów w języku Ruby
Name:		ruby-%{pkgname}
Version:	2.3.14
Release:	1
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	b7c5ce36c1f5af30ac6fb34ca7c9237e
Patch0:		%{name}-vendor.patch
URL:		http://rubyforge.org/projects/actionmailer/
BuildRequires:	rpmbuild(macros) >= 1.484
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
Requires:	ruby-actionpack >= 2.3.14
Requires:	ruby-tmail
Requires:	ruby-text-format
Obsoletes:	ruby-ActionMailer
Provides:	ruby-ActionMailer
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# nothing to be placed there. we're not noarch only because of ruby packaging
%define		_enable_debug_packages	0

%description
Action Mailer uses the Action Pack library to generate template-driven
email.

%description -l pl.UTF-8
Action Mailer używa biblioteki Action Pack do generowania listów
elektronicznych na podstawie szablonów.

%package rdoc
Summary:	Documentation files for ActionMailer
Summary(pl.UTF-8):	Dokumentacja do biblioteki ActionMailer
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
Documentation files for ActionMailer.

%description rdoc -l pl.UTF-8
Dokumentacja do biblioteki ActionMailer.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README  -o -print | xargs touch --reference %{SOURCE0}
%patch0 -p1

rm -r lib/action_mailer/vendor

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm ri/created.rid
rm -r ri/{Net,Test,Text}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{pkgname}-%{version}-%{release}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{ruby_rubylibdir}/action_mailer
%{ruby_rubylibdir}/action_mailer.rb
%{ruby_rubylibdir}/actionmailer.rb

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{pkgname}-%{version}-%{release}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/ActionMailer
%{ruby_ridir}/MailHelper

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-actionmailer.spec,v $
Revision 1.29  2011/12/12 12:27:00  baggins
- 2.3.14

Revision 1.28  2011/07/08 09:50:09  baggins
- 2.3.11

Revision 1.27  2010/03/02 22:18:59  baggins
- added ri package
- we have tmail and text-format in distro, so kill vendor stuff

Revision 1.26  2010/02/28 16:33:04  baggins
- 2.3.5
- updated requires

Revision 1.25  2010/02/27 19:21:08  baggins
- P:ruby-ActionMailer

Revision 1.24  2010/02/27 17:02:45  baggins
- O:ruby-ActionMailer

Revision 1.23  2010/02/27 17:00:48  baggins
- renamed ruby-ActionMailer -> ruby-actionmailer

Revision 1.22  2009/01/06 08:09:39  glen
- unify ri stuff, add action_maier.rb

Revision 1.21  2009/01/06 05:43:17  glen
- up to 2.0.5

Revision 1.20  2008/10/14 18:08:19  qboosh
- pl for -rdoc

Revision 1.19  2008/10/14 14:09:01  glen
- rdoc subpackage

Revision 1.18  2007/03/08 06:40:05  aredridel
- massive attack: correct ri output path for ruby 1.8.6

Revision 1.17  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.15  2006/03/08 00:41:45  aredridel
- up to 1.1.5

Revision 1.14  2005/12/31 10:36:33  twittner
- change %ruby_mod_ver_requires_eq to %{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.13  2005/12/29 16:59:47  twittner
- replace R: ruby-modules with %ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.12  2005/12/27 09:25:30  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.11  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.10  2005/10/25 16:25:57  aredridel
- up to 1.1.1

Revision 1.9  2005/07/09 20:41:05  aredridel
- up to 1.0.0

Revision 1.8  2005/04/21 01:30:18  aredridel
- up to 0.9.1

Revision 1.7  2005/04/03 20:37:23  aredridel
- up to 0.8.1

Revision 1.6  2005/04/03 20:33:23  aredridel
- up to 0.7.1

Revision 1.5  2005/03/20 08:46:32  aredridel
- sanity patch

Revision 1.4  2005/03/20 07:32:42  aredridel
- up to 0.7.1

Revision 1.3  2005/01/22 19:42:33  qboosh
- pl

Revision 1.2  2005/01/22 06:16:21  aredridel
- clean up doc build process some

Revision 1.1  2005/01/22 06:15:07  aredridel
- added
